%global momorel 1
Name: libndp
Version: 1.5
Release: %{momorel}m%{?dist}
Summary: Library for Neighbor Discovery Protocol
Group: System Environment/Libraries
License: LGPLv2+
URL: http://www.libndp.org/
Source: http://www.libndp.org/files/libndp-%{version}.tar.gz
NoSource: 0

%description
This package contains a library which provides a wrapper
for IPv6 Neighbor Discovery Protocol.  It also provides a tool
named ndptool for sending and receiving NDP messages.

%package devel
Group: Development/Libraries
Summary: Libraries and header files for libndp development
Requires: libndp = %{version}-%{release}

%description devel
The libndp-devel package contains the header files and libraries
necessary for developing programs using libndp.

%prep
%setup -q

%build
%configure --disable-static
%make 

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name \*.la -delete

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING
%{_libdir}/*so.*
%{_bindir}/ndptool
%{_mandir}/man8/ndptool.8*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sun Aug 30 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5-1m)
- update 1.5

* Sun Jul 06 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3-1m)
- update 1.3

* Sun Feb 23 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2-1m)
- import from fedora

